package io.github.lonamiwebs.overgram.session;

public interface Session {
    void load();

    void save();

    void setPrimaryDc(final int dc, final String ipv4, final String ipv6, final int port);

    int getDcId();

    String getServerAddress(final boolean ipv6);

    int getServerPort();

    void setAuthKey(final int dc, final byte[] data);

    byte[] getAuthKey(final int dc);
}
